<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package curiosity-lite
 */

get_header(); ?>

<section id="primary" class="content-area">
        <main id="main" class="site-main">

        <?php if ( have_posts() ) : ?>

                <header class="page-header">
                        <h1 class="page-title">
                                <?php
                                if ( is_category() ) :
                                    printf( __( 'Posts in the ', 'curiosity-lite' ) );
                                    echo '<em>';
                                    single_cat_title();
                                    echo '</em> ' . __('category', 'curiosity-lite') . ':';

                                elseif ( is_tag() ) :
                                    printf( __( 'Posts with the ', 'curiosity-lite' ) );
                                    echo '<em>';
                                    single_tag_title();
                                    echo '</em> ' . __('tag', 'curiosity-lite') . ':';

                                elseif ( is_author() ) :
                                    printf( __( 'Author: %s', 'curiosity-lite' ), '<span class="vcard">' . get_the_author() . '</span>' );

                                elseif ( is_day() ) :
                                    printf( __( 'Posts from %s', 'curiosity-lite' ), '<span>' . get_the_date() . '</span>' );

                                elseif ( is_month() ) :
                                    printf( __( 'Posts from %s', 'curiosity-lite' ), '<span>' . get_the_date( _x( 'F Y', 'monthly archives date format', 'curiosity-lite' ) ) . '</span>' );

                                elseif ( is_year() ) :
                                    printf( __( 'Posts from %s', 'curiosity-lite' ), '<span>' . get_the_date( _x( 'Y', 'yearly archives date format', 'curiosity-lite' ) ) . '</span>' );

                                elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
                                    _e( 'Asides', 'curiosity-lite' );

                                else :
                                    _e( 'Archives', 'curiosity-lite' );

                                endif;
                                ?>
                        </h1>
                        <?php
                                // Show an optional term description.
                                $term_description = term_description();
                                if ( ! empty( $term_description ) ) :
                                        printf( '<div class="taxonomy-description">%s</div>', $term_description );
                                endif;
                        ?>
                </header><!-- .page-header -->

                <?php /* Start the Loop */ ?>
                <?php while ( have_posts() ) : the_post(); ?>

                        <?php get_template_part( 'content', get_post_format() ); ?>

                <?php endwhile; ?>

                <?php curiosity_paging_nav(); ?>

        <?php else : ?>

                <?php get_template_part( 'content', 'none' ); ?>

        <?php endif; ?>

        </main><!-- #main -->
</section><!-- #primary -->

<?php get_sidebar();
      get_footer(); 
