<?php
/**
 * @package curiosity-lite
 * 
 * Contenr-Single
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>> 

        <?php
        /* POST FORMATS HEADER
        ----------------------------------------------- */
        $post_format = get_post_format();
	   	   
        /* Gallery
        ------------------------------------- */
        if ( $post_format == 'gallery' ):

        $attachments = get_post_meta( get_the_ID() , '_curiosity_gallery-images' );
        ?>
    
        <div class="curiosity-post-flexslider">
            <div class="curiosity-flexslider">
            <div class="flexslider">
                <ul class="slides">
                    
		<?php
		foreach ( $attachments as $attachment):

                $attachment_src = wp_get_attachment_image_src( $attachment, 'thumb-600' );
                ?>                   
                <li class="slide"><img src="<?php echo esc_url ( $attachment_src[0] );?>" alt="<?php echo basename( $attachment_src[0] );?>" /></li>
		
		<?php endforeach; ?>
		</ul><!-- .slides -->
            </div><!-- .flexslider -->
            </div><!-- .curiosity-flexslider -->
        </div><!-- .curiosity-post-flexslider -->
			
        <?php 
        /* Video
        ------------------------------------- */
        elseif ( $post_format == 'video' ):

        /* media code */
        $media_code = trim( get_post_meta( get_the_ID() , '_curiosity_media' , true ) );
 
        global $wp_embed;
        $media_result = $wp_embed->run_shortcode( $media_code );
        ?>

        <div class="post-thumbnail">
            <div class="media-container">
                    <?php echo $media_result; ?>
            </div><!-- .media-container -->
        </div><!-- .post-thumbnail -->
			
                        
                            <?php 
        /* Standard, Quote, Link
        ------------------------------------- */                   
        else:
        if (has_post_thumbnail()) {
            echo '<div class="single-post-thumbnail clear">';
            echo '<div class="image-shifter">';
            echo the_post_thumbnail('large-thumb');
            echo '</div>';
            echo '</div>';
        }
        ?>
				
	<?php endif; // which type 
        
        /* CONTENT
        ----------------------------------------------- */?>

	<header class="entry-header">
            <div class="entry-header-upper">
                <div class="col-8">
                <?php
                /* translators: used between list items, there is a space after the comma */
                $category_list = get_the_category_list( __( ', ', 'curiosity-lite' ) );
                if ( curiosity_categorized_blog() ) {
                    echo '<div class="category-list">' . $category_list . '</div>';
                }
                ?>
                    
		<h1 class="entry-title"><?php the_title(); ?></h1>
                </div>
                
                <?php $hide_author_box = get_post_meta(get_the_ID(),'_curiosity_hide-author-box',true);
                if ( !$hide_author_box ): ?>
                
                <div class="col-4">
                    <div class="authorbox">
                        <div class="inner">
                            <div class="author-avatar">
                                    <?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'author_avatar_size', 50 ) ); ?>
                            </div><!-- .author-avatar -->
                            <div class="text">
                                    <h4><?php printf( __( 'About %s', 'curiosity-lite' ), '<a href=" ' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" rel="author"> ' . get_the_author() . '</a>' ); ?></h4>
                                    <div class="desc">
                                            <p><?php the_author_meta( 'description' ); ?></p>							
                                    </div><!-- .desc -->
                            </div><!-- .text -->
                        </div><!-- .inner -->	
                    </div><!-- .authorbox -->   
                </div>
                <?php  endif; ?>               
                <div class="clearfix"></div>
            </div>
            
            <div class="entry-meta">
                <?php curiosity_posted_on(); ?>
                <?php 
                    if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) { 
                        echo '<span class="comments-link">';
                        comments_popup_link( __( 'Leave a comment', 'curiosity-lite' ), __( '1 Comment', 'curiosity-lite' ), __( '% Comments', 'curiosity-lite' ) );
                        echo '</span>';
                    }
                ?>
            </div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
            <?php 
            
            /* Format Quote
            ------------------------------------- */
            if ( $post_format == 'quote' ): ?>
            
                <?php 
                $quote_author = get_post_meta ( get_the_ID() , '_curiosity_quote-author' , true );
                if ( $quote_author && $quote_author_url = get_post_meta ( get_the_ID() , '_curiosity_quote-author-url' , true ) ) {
                $quote_author = '<a href="' . esc_url ( $quote_author_url ) . '">' . $quote_author . '</a>';
                }					
                ?>
            
                <blockquote>
                        <p><?php echo get_post_meta ( get_the_ID() , '_curiosity_quote-content' , true );?></p>
                        <?php if ( $quote_author ):?>
                        <cite class="quote-author"><?php echo $quote_author;?></cite>
                        <?php endif;?>
                </blockquote>

            <?php else : ?>
		
            <?php the_content(); ?>
 
 			<?php endif; ?>
 	
             <?php 
            /* Format link
            ------------------------------------- */
            if ( $post_format == 'link' ): 
			
			$link = trim(get_post_meta( get_the_ID(),'_curiosity_url', true));
			if ( !$link ) {
			$content = get_the_content();
			$content = preg_match_all( '/href\s*=\s*[\"\']([^\"\']+)/', $content, $links );
			$content = $links[1][0];
			$link = $content; 
			}			
			?>
                <div class="link-area">
                        <div class="button">
                        	<a class="btn" href="<?php echo esc_url($link);?>" target="<?php echo esc_attr(get_post_meta( get_the_ID(),'_curiosity_target', true));?>"><?php _e('Open link','curiosity-lite');?></a>
                        </div>                      
                </div> 
            <?php endif;?>
                      
            <?php
            wp_link_pages( array(
                    'before' => '<div class="page-links">' . __( 'Pages:', 'curiosity-lite' ),
                    'after'  => '</div>',
            ) );
            ?>        
	</div><!-- .entry-content -->

	<footer class="entry-footer">
                    
            <?php $tag = get_the_tags(); ?>
            <?php if (! $tag) { } else { ?>
            <div class="home-tags"> 
            <?php echo get_the_tag_list( '<span class="tag-list"><i class="icon icon-tag"></i> ', '</span><span class="tag-list"><i class="icon icon-tag"></i> ', '</span>' ); ?>
            </div> <?php } ?> 

            <?php edit_post_link( __( 'Edit', 'curiosity-lite' ), '<span class="edit-link">', '</span>' ); ?>
                
	</footer><!-- .entry-footer -->
        
</article><!-- #post-## -->