<?php
/**
 * @package curiosity-lite
 * 
 * Contenr-Video
 */

/* media code */
$media_code = trim( get_post_meta( get_the_ID() , '_curiosity_media' , true ) );

global $wp_embed;
$media_result = $wp_embed->run_shortcode( $media_code );
?>
			
<article <?php post_class('article');?> id="post-<?php the_ID();?>">

    <div class="post-thumbnail">
        <div class="media-container" align="center">
            <?php echo $media_result; ?>
        </div><!-- .media-container -->
    </div><!-- .post-thumbnail -->

    <div class="index-box">		
        <header class="entry-header">           
            <?php
            if (is_sticky()) {
                echo '<i class="icon icon-star sticky-post"></i>';
            }
            ?>
            <?php
            /* translators: used between list items, there is a space after the comma */
            $category_list = get_the_category_list( __( ', ', 'curiosity-lite' ) );

            if ( curiosity_categorized_blog() ) {
                echo '<div class="category-list">' . $category_list . '</div>';
            }
            ?>

            <h1 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h1>

            <?php if ( 'post' == get_post_type() ) : ?>
            <div class="entry-meta">
                    <?php curiosity_posted_on(); ?>
                    <?php 
                        if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) { 
                            echo '<span class="comments-link">';
                            comments_popup_link( __( 'Leave a comment', 'curiosity-lite' ), __( '1 Comment', 'curiosity-lite' ), __( '% Comments', 'curiosity-lite' ) );
                            echo '</span>';
                        }
                    ?>
                    <?php edit_post_link( __( 'Edit', 'curiosity-lite' ), '<span class="edit-link">', '</span>' ); ?>
            </div><!-- .entry-meta -->
            <?php endif; ?>
	</header><!-- .entry-header -->
	
	<?php $readmoretext = esc_html(get_theme_mod( 'default_read_more_text', 'Read More' ));
        
        if( $wp_query->current_post == 0 && !is_paged() && is_front_page() ) { 
            echo '<div class="entry-content">';
            the_content;
            echo '</div>';
            echo '<footer class="entry-footer continue-reading">';
            echo '<a href="' . get_permalink() . '" title="' . __('Read More', 'curiosity-lite') . get_the_title() . '" rel="bookmark">' . esc_html($readmoretext) . '<i class="icon icon-arrow-circle-o-right"></i></a>'; 
            echo '</footer><!-- .entry-footer -->';
        } else { ?>
            <div class="entry-content">
            <?php the_excerpt(); ?>
            </div><!-- .entry-content -->
            <footer class="entry-footer continue-reading">
            <?php echo '<a href="' . get_permalink() . '" title="' . __('Continue Reading ', 'curiosity-lite') . get_the_title() . '" rel="bookmark">' . esc_html($readmoretext) . '</a>'; ?>
            </footer><!-- .entry-footer -->
        <?php } ?>
        <div class="clearfix"></div>
        
        <?php $tag = get_the_tags(); ?>
        <?php if (! $tag) { } else { ?>
        <div class="home-tags"> 
        <?php echo get_the_tag_list( '<span class="tag-list"><i class="icon icon-tag"></i> ', '</span><span class="tag-list"><i class="icon icon-tag"></i> ', '</span>' ); ?>
        </div> <?php } ?> 
        
    </div><!-- .index-box -->	
</article><!-- .post -->