<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package curiosity-lite
 */
?>
<!DOCTYPE html>

<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<!--    WIDGET STYLES      -->

<?php get_template_part( 'css/widget-styles'); ?>

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="show-if-body-loaded">
    <div id="page" class="hfeed site">
	<div class="pagecontent">
	<div class="pagebottom">
	<div class="pageholder">
	<div class="pagecontainer">

	<header id="masthead" class="site-header">
            <?php  
				$top_header_on = esc_html(curiosity_sanitize_disable_top_header(get_theme_mod( 'disable_top_header', 'top_header_only_home' )));
				$allow_local_time = esc_html(curiosity_sanitize_allow_local_time(get_theme_mod( 'allow_local_time', 'allow_local_time_yes')));
				$display_email = is_email(get_theme_mod( 'display_email' ));
                $display_phone = esc_html(get_theme_mod( 'display_phone' ));
						
				if ($top_header_on == ('top_header_on')){ 
                ?>           

            	<!-- TOP HEADER STARTS HERE --> 
            	<?php echo curiosity_top_header(); ?>
           
            	<?php } elseif ($top_header_on == ('top_header_only_home')){ 
					if (is_front_page()) { ?> 
                
                <!-- TOP HEADER STARTS HERE --> 
                <?php echo curiosity_top_header(); ?>
           
            		<?php } ?>
                <?php } ?>
                
            <!-- LOGO AREA STARTS HERE -->    
            <div class="site-branding">

            <?php
			$header_advert = esc_url(get_theme_mod( 'header_advert' ));
            $header_advert_link = esc_url(get_theme_mod( 'header_advert_link' ));
			$logopath = esc_url(get_theme_mod( 'toplogo' ));
			$header_style = esc_html(curiosity_sanitize_header_style(get_theme_mod( 'header_style', 'header_style_1' ))); ?>

            <?php if ($header_style == ('header_style_2')){ ?>
            <div class="site-branding-style-2">
                <div class="col-5 no-padding">
                    <?php if ($logopath != ('')){ ?>
                        <a href="<?php echo site_url(); ?>"><img src="<?php echo esc_url($logopath); ?>" alt="logo" class="headerlogo" /></a>
                        <?php } else {  ?>
                        <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                        <?php } ?>

                        <p class="header-details"><?php if ($allow_local_time == ('allow_local_time_yes')){ echo date_i18n('j F Y', time()); } ?>
                                <?php if ($display_email != ('')){ ?><i class="icon icon-envelope margin-left"></i> <a href="mailto:<?php echo esc_html($display_email); ?>"><?php echo esc_html($display_email); ?></a><?php } ?>  
                                <?php if ($display_phone != ('')){ ?><i class="icon icon-phone margin-left"></i> <?php echo esc_html($display_phone); } ?>
                        </p>
                        <?php if ( get_bloginfo( 'description' ) ) { ?>				
                		<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
                		<?php } ?>
                </div>
                    
                <div class="col-7 no-padding">
                    <?php if ($header_advert != ('')){ ?>
                        <a href="<?php echo esc_url($header_advert_link); ?>"><img src="<?php echo esc_url($header_advert); ?>" class="header-advert-img" /></a>		
                    <?php } ?>
                </div>   
                <div class="clearfix"></div>
                
            </div><!-- .site-branding-style-2 -->
            <div class="clearfix"></div>
                    
            <?php } elseif ($header_style == ('header_style_2_parallax')){ ?>
            <div class="site-branding-style-2">
                <div class="col-5 no-padding">						
                    <?php if ($logopath != ('')){ ?>
                    <a href="<?php echo site_url(); ?>"><img src="<?php echo esc_url($logopath); ?>" alt="logo" class="headerlogo" /></a>
                    <?php } else {  ?>
                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    <?php } ?>

                    <p class="header-details"><?php if ($allow_local_time == ('allow_local_time_yes')){ echo date_i18n('j F Y', time()); } ?>
                        <?php if ($display_email != ('')){ ?><i class="icon icon-envelope margin-left"></i> <a href="mailto:<?php echo esc_html($display_email); ?>"><?php echo esc_html($display_email); ?></a><?php } ?>  
                        <?php if ($display_phone != ('')){ ?><i class="icon icon-phone margin-left"></i> <?php echo esc_html($display_phone); } ?>
                    </p>
                    <?php if ( get_bloginfo( 'description' ) ) { ?>				
                	<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
                	<?php } ?>
                </div>
                    
                <div class="col-7 no-padding">
                    <?php if ($header_advert != ('')){ ?>   
                    
                    <?php $useragent=$_SERVER['HTTP_USER_AGENT'];

					if(preg_match('/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i',$useragent)||preg_match('/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i',substr($useragent,0,4)))
 					{ ?>
                    
                    <a href="<?php echo esc_url($header_advert_link); ?>"><img src="<?php echo esc_url($header_advert); ?>" class="header-advert-img" /></a>		
                    
					<?php } else { ?>
                    
                    <a href="<?php echo esc_url($header_advert_link); ?>">
                        <div class="header-advert" style="background-image:url('<?php echo esc_url($header_advert); ?>');"></div>
                    </a>
                    
                    <?php } ?>		
                    <?php } ?>
                </div>   
                <div class="clearfix"></div>
                
            </div></div><!-- .site-branding-style-2 -->
            <div class="clearfix"></div>
                    
            <?php } else {  ?>
            <div class="title-box">		
                <?php if ($logopath != ('')){ ?>
                <a href="<?php echo site_url(); ?>"><img src="<?php echo esc_url($logopath); ?>" alt="logo" class="headerlogo-style-1" /></a>
                <?php } else {  ?>
                <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                <?php } ?>
                
                <p class="header-details"><?php if ($allow_local_time == ('allow_local_time_yes')){ echo date_i18n('j F Y', time()); } ?>
                        <?php if ($display_email != ('')){ ?><i class="icon icon-envelope margin-left"></i> <a href="mailto:<?php echo esc_html($display_email); ?>"><?php echo esc_html($display_email); ?></a><?php } ?>  
                        <?php if ($display_phone != ('')){ ?><i class="icon icon-phone margin-left"></i> <?php echo esc_html($display_phone); } ?>
                </p>
                <?php if ( get_bloginfo( 'description' ) ) { ?>				
                <h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
                <?php } ?>
            </div><!-- .title-box -->
            </div><!-- .site-branding -->
            <div class="clearfix"></div>
            <?php } ?>
            	
            <!-- HEADER MENU STARTS HERE -->
            
            <nav id="site-navigation" class="main-navigation">
                <h1 class="menu-toggle"><?php _e( 'Menu', 'curiosity-lite' ); ?></h1>
                <a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'curiosity-lite' ); ?></a>

                <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>

                <div class="search-toggle">
                    <i class="icon icon-search"></i>
                    <a href="#search-container" class="screen-reader-text"><?php _e( 'Search', 'curiosity-lite' ); ?></a>
                </div>
                
            </nav><!-- #site-navigation -->
                
            <div id="search-container" class="search-box-wrapper clear">
                <div class="search-box clear">
                    <?php get_search_form(); ?>
                </div>
            </div> 
	</header><!-- #masthead -->

        <!-- BREADCRUMBS AREA STARTS HERE -->
        
        <?php
        $breadcrumbs_activator = esc_html(curiosity_sanitize_breadcrumbs_activator(get_theme_mod( 'breadcrumbs_activator', 'breadcrumbs_on' )));
        $own_text_for_breadcrumbs = esc_html(get_theme_mod( 'own_text_for_breadcrumbs' )); ?> 
        
        <?php if ($breadcrumbs_activator == ('breadcrumbs_on')){ ?>
        <div class="page-top">                
            <div class="breadcrumbs-holder">
                <?php echo curiosity_breadcrumbs(); ?>
            </div>
            <div class="top-news-slider">
                <div id="marquee" class="recent-marquee">
                    <?php $recentPosts = new WP_Query();
                          $recentPosts->query('showposts=100');                
                           while ($recentPosts->have_posts()) : $recentPosts->the_post(); ?>
                           <a href="<?php the_permalink() ?>" rel="bookmark" class="recent-marquee-item"><?php the_title(); ?></a>
                    <?php endwhile; ?>
                </div>
            </div>                              
        </div><!-- .page-top -->
        <div class="clearfix"></div>
        
        <?php } elseif ($breadcrumbs_activator == ('breadcrumbs_only')) { ?>
        <div class="page-top">                
            <div class="breadcrumbs-holder">
                <?php echo curiosity_breadcrumbs(); ?>
            </div>                             
        </div><!-- .page-top -->           
            
        <?php } elseif ($breadcrumbs_activator == ('breadcrumbs_text')) { ?>
        <div class="page-top">                
            <div class="breadcrumbs-holder">
                <?php echo curiosity_breadcrumbs(); ?>
            </div>
            <div class="top-news-slider">
                <div id="marquee" class="recent-marquee">
                    <span class="recent-marquee-item"><?php echo esc_html($own_text_for_breadcrumbs) ; ?></span>
                </div>
            </div>                              
        </div><!-- .page-top --> 

        <?php } ?>
        
	<div id="content" class="site-content">
