<?php
/* --------------------------------------------------- */
/* Initial Setup
/* --------------------------------------------------- */

    $prefix = '_curiosity_';	// the first underscore is to protect custom field
    global $meta_boxes;
    $meta_boxes = array();

$meta_boxes[] = array(
		'id'         => 'post_sidebar',
		'title'      => __('Custom sidebar','curiosity-lite'),
		'pages'      => array('page','post'), // Page type
		'context'    => 'side',
		'priority'   => 'low',
		'show_names' => false, // Show field names on the left
		'fields'     => array(
			array(
				'name'    => __('Sidebar','curiosity-lite'),
				'desc'    => __('Sidebar to display','curiosity-lite'),
				'id'      => 'page_sidebar',
				'type'    => 'select',
                                'options' =>	array( 'sidebar1' => __('Sidebar 1','curiosity-lite'),
                                                       'sidebar2' => __('Sidebar 2','curiosity-lite'),
                                                       'sidebar3' => __('Sidebar 3','curiosity-lite'),
                                                       'sidebar4' => __('Sidebar 4','curiosity-lite'),
                                                       'sidebar5' => __('Sidebar 5','curiosity-lite'),),
            ),
		),
	);


/* --------------------------------------------------- */
/* Post Options
/* --------------------------------------------------- */
	$meta_boxes[] = array(
		'id'       => 'hide-comments',
		'title'    => __('Display areas', 'curiosity-lite'),
		'pages'    => array('post'),
		'context'  => 'normal',
		'priority' => 'high',
		'fields'   => array(
                        array (
                                'name'		=>	__('Hide author box','curiosity-lite'),
                                'id'		=>	'hide-author-box',
                                'type'		=>	'checkbox',
                                'desc'		=>	__('This option makes this page\'s author-box being disabled.','curiosity-lite'),
                        ),
		)
	);


/* --------------------------------------------------- */
/* Post Format Options
/* --------------------------------------------------- */

	$meta_boxes[] = array (
		'id'			=>		'post-format-options-video-format',
		'title'			=>		__('Video format options','curiosity-lite'),
		'pages'			=>		array ('post'),
		'context'		=>		'normal',
		'priority'		=>		'high',
		'fields'		=>		array (

				array (
					'name'		=>	__('Video Code','curiosity-lite'),
					'id'		=>	'media',
					'type'		=>	'textarea',
					'desc'		=>	__('Vimeo, YouTube','curiosity-lite'),
				),
		),
	);

	$meta_boxes[] = array (
		'id'			=>		'post-format-options-link-format',
		'title'			=>		__('Link format options','curiosity-lite'),
		'pages'			=>		array ('post'),
		'context'		=>		'normal',
		'priority'		=>		'high',
		'fields'		=>		array (

				array (
					'name'		=>	__('URL','curiosity-lite'),
					'id'		=>	'url',
					'type'		=>	'url',
					'desc'		=>	__('Enter URL, start with http:// or https://','curiosity-lite'),
				),

				array (
					'name'		=>	__('Link target','curiosity-lite'),
					'id'		=>	'target',
					'type'		=>	'select',
					'options'	=>	array( '_self' => __('Same tab','curiosity-lite'), '_blank' => __('New Tab','curiosity-lite'), ),
					'std'		=>	__('Select','curiosity-lite'),
				),
		),
	);

	$meta_boxes[] = array (
		'id'			=>		'post-format-options-quote-format',
		'title'			=>		__('Quote format options','curiosity-lite'),
		'pages'			=>		array ('post'),
		'context'		=>		'normal',
		'priority'		=>		'high',
		'fields'		=>		array (

				array (
					'name'		=>	__('Quote content','curiosity-lite'),
					'id'		=>	'quote-content',
					'type'		=>	'textarea',
				),

				array (
					'name'		=>	__('Quote author name','curiosity-lite'),
					'id'		=>	'quote-author',
					'type'		=>	'text',
				),

				array (
					'name'		=>	__('Quote author URL?','curiosity-lite'),
					'id'		=>	'quote-author-url',
					'type'		=>	'text',
				),
		),
	);

	$meta_boxes[] = array (
		'id'			=>		'post-format-options-gallery-format',
		'title'			=>		__('Gallery format options','curiosity-lite'),
		'pages'			=>		array ('post'),
		'context'		=>		'normal',
		'priority'		=>		'high',
		'fields'		=>		array (

				array (
					'name'		=>	__('Upload Images','curiosity-lite'),
					'id'		=>	'gallery-images',
					'type'		=>	'thickbox_image',
				),
		),
	);

/* --------------------------------------------------- */
/* Page Options
/* --------------------------------------------------- */

	$meta_boxes[] = array (
		'id'			=>		'page-options',
		'title'			=>		__('Page Options','curiosity-lite'),
		'pages'			=>		array ('page'),
		'context'		=>		'normal',
		'priority'		=>		'high',
		'fields'		=>		array (


                                /* title options */
				array (
					'type'		=>	'heading',
					'name'		=>	__('Title Options','curiosity-lite'),
					'id'		=>	'heading-title-options',
				),

				array (
					'name'		=>	__('Subtitle','curiosity-lite'),
					'id'		=>	'subtitle',
					'type'		=>	'text',
					'desc'		=>	__('Subtitle appears below page title','curiosity-lite'),
				),

				array (
					'name'		=>	__('Hide title area','curiosity-lite'),
					'id'		=>	'hide-title-area',
					'type'		=>	'checkbox',
					'desc'		=>	__('This option makes this page\'s title being disabled.','curiosity-lite'),
				),


		),	// end fields

	); // end metaboxes

/* --------------------------------------------------- */
/* Register Metaboxes
/* --------------------------------------------------- */

add_action( 'admin_init', 'curiosity_register_meta_boxes' );
if (!function_exists('curiosity_register_meta_boxes')){
function curiosity_register_meta_boxes() {
	// Make sure there's no errors when the plugin is deactivated or during upgrade
	if ( !class_exists( 'RW_Meta_Box' ) )
		return;
	global $meta_boxes, $prefix;

	/* Add prefix to all id in metaboxes. */
	foreach ($meta_boxes as $key1 => $meta_box){
		if (	isset ( $meta_box['fields'] ) && is_array( $meta_box['fields'] )	) {
			foreach ( $meta_box['fields'] as $key2 => $field) {
				if(	is_array($field) && isset($field ['id']) ) {
					if(	strpos(	$field ['id'] , $prefix	) === false )	// do not have prefix
					$meta_boxes[$key1]['fields'][$key2]['id'] = $prefix . $field ['id'];
				}
			}
		}
	}

	foreach ( $meta_boxes as $meta_box )
	{
		new RW_Meta_Box( $meta_box );
	}
}
}